%define fontname VLGothic
%define fontdir %{_datadir}/fonts/%{fontname}
%define fontconfdir %{_sysconfdir}/fonts/conf.d

Name: %{fontname}-fonts
Version: 20081029
Release: 1%{?dist}
Summary: Japanese TrueType font

License: mplus and BSD
Group: User Interface/X
URL: http://dicey.org/vlgothic
Source0: http://vinelinux.org/~daisuke/vlgothic/%{fontname}-%{version}.tar.bz2
Source1: 59-VLGothic-proportional.conf
Source2: 59-VLGothic-monospace.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
# added for f9 can be dropped in f11:
Obsoletes: %{name}-monospace < 20071215-2

%description
VLGothic provides Japanese TrueType fonts from the Vine Linux project.
Most of the glyphs are taken from the M+ and Sazanami Gothic fonts, 
but some have also been improved by the project.

The main package provides the monospace VLGothic font.

%description -l ja
VLゴシックフォントファミリは、 M+ FONTS PROJECT による M+1C および M+1M フォントを
英数字、かな、および一部の漢字に使用し、不足部分として Electronic Font Open Laboratory
による さざなみゴシックフォント をベースに Project Vine が改変し漢字部に使用した
ゴシック体の日本語 TrueType フォントです。


%package proportional
Summary: Proportional Japanese TrueType font
Group: User Interface/X
Obsoletes: %{name}-sans < 20071215-2

%description proportional
This package provides the VLGothic font with proportional glyphs for some
non-Japanese characters.

%prep
%setup -q -n %{fontname}


%build
%{nil}


%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/fonts/conf.d
install -p -m644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_sysconfdir}/fonts/conf.d
install -p -m644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_sysconfdir}/fonts/conf.d

mkdir -p ${RPM_BUILD_ROOT}/%{fontdir}
mkdir -p ${RPM_BUILD_ROOT}/%{fontdir}-proportional
install -p -m644 VL-Gothic-Regular.ttf ${RPM_BUILD_ROOT}/%{fontdir}
install -p -m644 VL-PGothic-Regular.ttf ${RPM_BUILD_ROOT}/%{fontdir}-proportional


%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache -f %{fontdir} || :
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache -f %{fontdir} || :
  fi
fi

%post proportional
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache -f %{fontdir}-proportional || :
fi

%postun proportional
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache -f %{fontdir}-proportional || :
  fi
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc README* LICENSE*
%dir %{fontdir}
%config(noreplace) %{_sysconfdir}/fonts/conf.d/59-VLGothic-monospace.conf
%{fontdir}/VL-Gothic-Regular.ttf

%files proportional
%doc README* LICENSE*
%dir %{fontdir}-proportional
%config(noreplace) %{_sysconfdir}/fonts/conf.d/59-VLGothic-proportional.conf
%{fontdir}-proportional/VL-PGothic-Regular.ttf


%changelog
* Wed Oct 29 2008 Akira TAGOH <tagoh@redhat.com> - 20081029-1
- update to 20081029 release.

* Tue Sep  9 2008 Akira TAGOH <tagoh@redhat.com> - 20080908-1
- update to 20080908 release.

* Thu Jul 31 2008 Jens Petersen <petersen@redhat.com> - 20080624-1.fc10
- update to 20080624 release

* Wed May  7 2008 Jens Petersen <petersen@redhat.com> - 20080429-1
- update to 20080429 release
- rename 59-VLGothic-sans.conf to 59-VLGothic-proportional.conf

* Thu Jan 17 2008 Jens Petersen <petersen@redhat.com> - 20071215-2.fc9
- move monospace font to main package and obsolete monospace subpackage
- rename sans subpackage to proportional and obsolete sans subpackage
- use a separate font dir for the proportional font subpackage
- add fc-cache scriptlets and drop superfluous removal of old font config
- drop the docs subpackage
- use fontname, fontdir, and fontconfdir macros
- improve summaries and descriptions
- do not require fontconfig
- drop VLGothic obsoletes and provides

* Sat Jan 12 2008 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20071215-1
- Update to 20071215

* Thu Oct 18 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20071015-2
- Rename the font directory.
- Fix font selection problem in Flash 9.
- Make it remove the old configuration files on updating.

* Thu Oct 18 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20071015-1
- Update to 20071015
- Make it separated into subpackages

* Sat Sep 09 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20070901-1
- Update to 20070901

* Sat Jun 02 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20070507-1
- Update to 20070507

* Sun Apr 22 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20070328-1
- Update to 20070328

* Wed Jan 03 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20070101-1
- Update to 20070101

* Sun Dec 10 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061026-5
- Decrease the priority of the VLGothic fonts lower than DejaVu fonts.
- Now config files are replaced by every updating.

* Wed Nov 29 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061026-4
- Fix the mistyped dist tag.

* Sat Nov 18 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061026-3
- Modify the specfile along with the Fedora Extras packaging policy.

* Sun Nov 12 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061026-2
- Modify the specfile.

* Sun Nov 12 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061026-1
- Preparing for Fedora Extras.

* Sat Oct 28 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061021-2
- Update to 20061021.

* Tue Sep 19 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20060913-2
- Update to 20060913.

* Thu Aug 31 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20060831-1
- Initial packaging.
